import { s as c, I as v } from "./mwc-icon-CU54ISyR.mjs";
import { e as p } from "./query-assigned-elements-D930kELM.mjs";
var f = Object.getOwnPropertyDescriptor, m = (o, r, l, n) => {
  for (var e = n > 1 ? void 0 : n ? f(r, l) : r, t = o.length - 1, a; t >= 0; t--)
    (a = o[t]) && (e = a(e) || e);
  return e;
};
let s = class extends v {
};
s.styles = [c];
s = m([
  p("cv-icon")
], s);
const i = s;
export {
  s as CovalentIcon,
  i as default
};
